classification
Title: configparser.ExtendedInterpolation and section case
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.3, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: lukasz.langa Nosy List: ciasoms, eric.araujo, lukasz.langa, python-dev
Priority: normal Keywords: patch

Created on 2011-04-16 16:48 by ciasoms, last changed 2011-04-28 14:02 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
configparser.diff ciasoms, 2011-04-16 16:48
Messages (7)
msg133897 - (view) Author: Pink (ciasoms) Date: 2011-04-16 16:48
configparser.ExtendedInterpolation in Python 3.2 has a bug that it will convert the section name in the interpolation to lowercase, and lead to an exception of NoSectionError if the section name has letters in uppercase.

In fact it just cannot pass the test of the second example in the doc (http://docs.python.org/py3k/library/configparser.html#configparser.ExtendedInterpolation).

The attached patch should fix it.
msg133982 - (view) Author: Łukasz Langa (lukasz.langa) (Python committer) Date: 2011-04-18 17:09
Thanks for the catch. I'll add some tests and push it.
msg134662 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-28 09:00
New changeset 57c076ab4bbd by Łukasz Langa in branch '3.2':
Closes #11858: configparser.ExtendedInterpolation and section case.
http://hg.python.org/cpython/rev/57c076ab4bbd
msg134663 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-28 09:01
New changeset 2afaef6cda8a by Łukasz Langa in branch 'default':
Merged solution for #11858 from 3.2.
http://hg.python.org/cpython/rev/2afaef6cda8a
msg134664 - (view) Author: Łukasz Langa (lukasz.langa) (Python committer) Date: 2011-04-28 09:03
Pink, please give your name so I can include you in Misc/ACKS.
msg134667 - (view) Author: Pink (ciasoms) Date: 2011-04-28 11:00
Oh, all right :)
My name is Yuxiao Zeng.

2011/4/28 Łukasz Langa <report@bugs.python.org>:
>
> Łukasz Langa <lukasz@langa.pl> added the comment:
>
> Pink, please give your name so I can include you in Misc/ACKS.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue11858>
> _______________________________________
>
msg134677 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-28 14:02
New changeset 17b4378689e6 by Łukasz Langa in branch '3.2':
Added Yuxiao Zeng for finding and resolving #11858. Thanks!
http://hg.python.org/cpython/rev/17b4378689e6
History
Date User Action Args
2011-04-28 14:02:47python-devsetmessages: + msg134677
2011-04-28 11:00:51ciasomssetmessages: + msg134667
2011-04-28 09:03:13lukasz.langasetmessages: + msg134664
2011-04-28 09:01:28python-devsetmessages: + msg134663
2011-04-28 09:00:17python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg134662

resolution: fixed
stage: test needed -> resolved
2011-04-19 15:34:38eric.araujosetnosy: + eric.araujo
stage: test needed

versions: + Python 3.3
2011-04-18 17:09:58lukasz.langasetmessages: + msg133982
2011-04-18 16:56:56lukasz.langasetassignee: lukasz.langa
2011-04-16 16:48:31ciasomscreate